Bug 817779 - Review Request: thunderbird-enigmail - Authentication and encryption extension Mozilla Thunderbird
Review Request: thunderbird-enigmail - Authentication and encryption extensio...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 05:00 EDT by Remi Collet
Modified: 2012-12-30 13:50 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 06:35:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-05-01 05:00:15 EDT
Spec URL: http://cvs.rpmfusion.org/viewvc/*checkout*/rpms/thunderbird-enigmail/devel/thunderbird-enigmail.spec?root=free
SRPM URL: http://download1.rpmfusion.org/free/fedora/development/rawhide/source/SRPMS/thunderbird-enigmail-1.4.1-1.fc18.src.rpm
Description: 
Enigmail is an extension to the mail client Mozilla Thunderbird
which allows users to access the authentication and encryption
features provided by GnuPG 

--
I maintains this package in RPMFusion for years... (so links are to rpmfusion repository)

Most of the spec is only a copy/paste from Thunderbird one (probably no need to comment this for review), so only a few part is specific to enigmail.

Applying all patch (from thunderbird) is the simplest way (even if some are probably not really required)

Upstream is very reactive, and has always be available for latest thunderbird, and so, should not break any update.

Moving from RPMFusion to Fedora will allow smooth (synchronized) updates.

N.B. SRPM release is -1, spec is -2 (minor cleanups, I will update the link asap)
Comment 5 José Matos 2012-08-21 11:42:38 EDT
Is there any reason why this was in rpmfusion to start?

Do those reasons still apply?
Comment 6 Remi Collet 2012-08-22 01:05:56 EDT
This package is in rpmfusion because first review attempt has failed (see bug #239336, in 2007...)
Comment 7 Remi Collet 2012-08-22 01:10:46 EDT
Adding Martin Stransky and Jan Horak, Thunderbird maintainer, in CC, to inform them about this review, and allow them to comment.
Comment 10 Dmitry Butskoy 2012-10-05 12:00:22 EDT
Maybe rename it to just "enigmail"?

It seems that the same source (either compiled, or xpi from addons.mozilla.org) is suitable for SeaMonkey as well (see install.rdf file). For the current seamonkey-2.12.1 too.

If so, then maybe change "Requires: thunderbird" just to "Requires: mozilla-filesystem" ?..
Comment 11 Russell Golden 2012-10-06 15:15:09 EDT
I've done this for mozilla-adblock plus and mozilla-https-everywhere. I set the requires to "mozilla-filesystem" and just made symlinks in the seamonkey extension directory.

I can indeed confirm that it is suitable for SeaMonkey, as I use enigmail on SeaMonkey for Windows. :)

Perhaps naming it "mozilla-enigmail" would be a better option than "thunderbird-enigmail" or "enigmail".
Comment 12 Remi Collet 2012-10-07 08:15:39 EDT
Thanks for you comments.

But for now, I'm waiting for a formal review.
Seeing the lack of interest on this package (5 months for this second attempt) for thunderbird, I don't even want to imagine the interest for seamonkey stuf.
Comment 13 Matthias Runge 2012-10-08 07:33:14 EDT
Remi, it may be simpler to get a reviewer, when providing SPEC and SRPM like this:

SRPM: http://download1.rpmfusion.org/free/fedora/development/rawhide/source/SRPMS/thunderbird-enigmail-1.4.3-1.fc18.src.rpm
and 
SPEC: http://cvs.rpmfusion.org/viewvc/*checkout*/rpms/thunderbird-enigmail/devel/thunderbird-enigmail.spec?revision=1.27&root=free

note: that srpm location leads me to 404. Currently, one has to search for a proper SRPM by clicking through various strange looking URLS; You're totally right, to follow the development, diffs are nicer, but when interested in just the last revision, pure download links are simpler.
Comment 14 Dmitry Butskoy 2012-10-08 07:36:05 EDT
> I don't even want to imagine the interest for seamonkey stuf

Sadly. I have the interest in seamonkey-enigmail. Certainly it would be wrong idea to provide "the same" binary/code in different packages, especially when the srpms is too big for both cases. Hence I would like to unite efforts.

I can review a package, but I'm not plan to use thunderbird anyway. (I plan to use it under Seamonkey under RHEL6, for which I now adding the latest Seamonkey-2.12.1 ).
Comment 16 Dmitry Butskoy 2012-10-08 08:03:24 EDT
Remi,

Do you have a plan to rename to mozilla-enigmail?

AFAIK it is not so easy to rename a package in Fedora, hence it would be better to add an already renamed one...
Comment 17 Remi Collet 2012-10-08 08:27:09 EDT
I need to think about it.

Perhaps we need
- mozilla-enigmail (the binary)
- thunderbird-enigmail : for thunderbird with the version requirement (and conflicts)
- seamonkey-enigmail.

My worry is : will it work with seamonkey ? I notice, with some update experience I have, it only work with "exact" thunderbird version (use at build time).

For example, version 1.4.5 only work with Thunderbird 16.0 / SeaMonkey 2.13. 

From upstream announcement:
   I released version 1.4.5 for Thunderbird 16 and SeaMonkey 2.13 today.
   In case you are wondering why this version does not support the
   current stable version (as it would normally be the case): version
   1.4.5 will not run on older versions of Thunderbird and SeaMonkey.

Will SeaMonkey 2.13 be available at same time than Th 16 ?

I don't really want to enter in the broken update nightmare.
Comment 18 Remi Collet 2012-10-08 08:37:56 EDT
(In reply to comment #14)
> I plan to use it under Seamonkey under RHEL6, for which I now adding the latest
> Seamonkey-2.12.1.

Will probably make updates more complicated, as Fedora provides latest Thunderbird, while RHEL provides ESR version. So you will not have the same Xul base.
Comment 19 Dmitry Butskoy 2012-10-08 08:47:04 EDT
> it only work with "exact" thunderbird version

According to the install.rdf file, it should... I'll try to test it.

> Will SeaMonkey 2.13 be available at same time than Th 16 ?

I think yes, since both actually have the same initial source. At least, at very close time.

But I think it might be a problem under EPEL6 -- RHEL6 has thunderburd version 10 (ESR), but Seamonkey will be the latest. IOW enigmail version mismatch anyway...
Comment 20 Dmitry Butskoy 2012-10-08 08:56:03 EDT
Maybe:
for Fedora: "mozilla-enigmail" with just versioning subpackages ([thunderburd,seamonkey]-enigmail)

for EPEL: "mozilla-enigmail" source package with different result binary packages for thunderburd and seamonkey. Yes, with twice the huge source. But it could be more easy than review etc. two packages for el6 branch only separately. Moreover, sometimes RHEL6 might increase its thunderbird version, and it might be possible to provide united binary (at least temoprary).
Comment 21 Dmitry Butskoy 2012-10-08 08:57:05 EDT
Ups. Why thunderburd?  Thunderbird. :)
Comment 22 Remi Collet 2012-10-09 13:25:57 EDT
I confirm that Enigmail 1.4.5 works with Thunderbird 16, but not with Seamonkey 2.12.1.

IIRC rpm is unable to handle replace of a folder by a link, and as this package is available in RPMFusion for years, I don't want to break the update...

Really, I think the better solution is to have 2 separate packages.

thunderbird-enigmail build against current thunderbird sources
seamonkey-enigmail build against current seamonkey sources

(And Seamonkey package is not in a really good shape... locale management if far behing firefox/thunderbird one...)
Comment 23 Russell Golden 2012-10-10 13:53:53 EDT
1.4.5 works with SeaMonkey 2.13. It was released today. :)
Comment 26 Remi Collet 2012-10-10 15:21:15 EDT
Seamonkey extension directory is not owned.
Bug reported, see #865054
Comment 27 Matthias Runge 2012-10-11 04:05:45 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Conflicts
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: gzip unzip
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[!]: Fully versioned dependency in subpackages, if present.
     Note: Missing: 'Requires: %%{name} =' in: %package -n seamonkey-enigmail,
     %package -n thunderbird-enigmail
See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: gzip unzip
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package -n
     seamonkey-enigmail, %package -n thunderbird-enigmail
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (4 clause) ISC", "BSD (3 clause) ISC", "LGPL (v2 or later) (with
     incorrect FSF address)", "*No copyright* MPL (v1.0) GPL
     (unversioned/unknown version)", "Apache (v2.0) BSD (2 clause)", "ISC",
     "Public domain", "CDDL", "LGPL (v2 or later)", "MPL (v1.0.)", "GPL (v3 or
     later)", "zlib/libpng", "libpng", "BSD (2 clause)", "Apache (v2.0)", "GPL
     (v2 or later)", "MIT/X11 (BSD like)", "MPL (v1.0) GPL
     (unversioned/unknown version)", "MPL (v1.1)", "*No copyright* Public
     domain", "BSD (3 clause)", "MPL (v1.0)", "LGPL", "Unknown or generated",
     "BSD (4 clause)", "BSL (v1.0)", "MPL (v1.1) GPL (unversioned/unknown
     version)", "*No copyright* Beerware", "GPL (unversioned/unknown
     version)", "MPL (v1.0) LGPL (v2 or later) (with incorrect FSF address)".
     30 files have unknown license. Detailed output of licensecheck in
     /home/mrunge/review/817779-mozilla-enigmail/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.


Maven:
[x]: Old add_to_maven_depmap macro is not being used
[ ]: If package contains pom.xml files install it (including depmaps) even
     when building with ant

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Dist tag is present.
     Note: Multiple Release tags found
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch8 (xulrunner-10.0-secondary-ipc.patch) Source10 (thunderbird-
     mozconfig) Source11 (thunderbird-mozconfig-branded) Patch0 (thunderbird-
     install-dir.patch) Patch104 (xulrunner-10.0-gcc47.patch) Patch300
     (xulrunner-16.0-jemalloc-ppc.patch) Source0
     (thunderbird-16.0.source.tar.bz2) Patch200 (thunderbird-8.0-enable-
     addons.patch) Patch301 (rhbz-855923.patch) Source100
     (enigmail-1.4.5.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define.
     Note: %define system_nss 0 %define system_nss 1 %define debug_build 0
     %define system_sqlite 0 %define system_sqlite 1 %define system_cairo 0
     %define system_vpx 0 %define system_cairo 1 %define system_vpx 1 %define
     build_langpacks 1 %define nspr_version 4.9.2 %define nss_version 3.13.3
     %define cairo_version 1.10.0 %define freetype_version 2.1.9 %define
     lcms_version 1.19 %define sqlite_version 3.7.10 %define libnotify_version
     0.4 %define _default_patch_fuzz 2 %define tarballdir . %define tarballdir
     comm-release %define official_branding 1 %define mozappdir
     %{_libdir}/thunderbird


===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).


Rpmlint
-------
Checking: mozilla-enigmail-debuginfo-1.4.5-2.fc19.x86_64.rpm
          mozilla-enigmail-1.4.5-2.fc19.x86_64.rpm
          mozilla-enigmail-1.4.5-2.fc19.src.rpm
mozilla-enigmail.x86_64: W: spelling-error %description -l en_US thunderbird -> Thunderbird, thunder bird, thunder-bird
mozilla-enigmail.x86_64: W: spelling-error %description -l en_US seamonkey -> sea monkey, sea-monkey, SeaMonkey
mozilla-enigmail.x86_64: W: no-documentation
mozilla-enigmail.src: W: spelling-error %description -l en_US thunderbird -> Thunderbird, thunder bird, thunder-bird
mozilla-enigmail.src: W: spelling-error %description -l en_US seamonkey -> sea monkey, sea-monkey, SeaMonkey
mozilla-enigmail.src: W: strange-permission thunderbird-mozconfig-branded 0755L
mozilla-enigmail.src:60: W: macro-in-comment %define
mozilla-enigmail.src:235: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 235)
mozilla-enigmail.src: W: invalid-url Source0: thunderbird-16.0.source.tar.bz2
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mozilla-enigmail-debuginfo mozilla-enigmail
mozilla-enigmail.x86_64: W: spelling-error %description -l en_US thunderbird -> Thunderbird, thunder bird, thunder-bird
mozilla-enigmail.x86_64: W: spelling-error %description -l en_US seamonkey -> sea monkey, sea-monkey, SeaMonkey
mozilla-enigmail.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/mrunge/review/817779-mozilla-enigmail/srpm/mozilla-enigmail.spec	2012-10-11 08:24:22.313873796 +0200
+++ /home/mrunge/review/817779-mozilla-enigmail/srpm-unpacked/mozilla-enigmail.spec	2012-10-11 08:24:26.491825395 +0200
@@ -44,9 +44,11 @@
 %global seam_guid \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}
 
-%global thunver   16.0
-%global thunmax   17.0
-
-%global seamver   2.13
-%global seammax   2.15
+# Match version of thunderbird source we use
+%global thun_ver  16.0
+%global thun_max  17.0
+
+# According to enigmail/package/install.rdf
+%global seam_ver  2.13
+%global seam_max  2.15
 
 
@@ -70,10 +72,10 @@
 Release:        0.1.%{prever}%{?dist}
 %else
-Release:        1%{?dist}
+Release:        2%{?dist}
 %endif
-URL:            http://enigmail.mozdev.org/
+URL:            http://www.enigmail.net/
 License:        MPLv1.1 or GPLv2+
 Group:          Applications/Internet
-Source0:        thunderbird-%{thunver}%{?thunbeta}.source.tar.bz2
+Source0:        thunderbird-%{thun_ver}%{?thunbeta}.source.tar.bz2
 #NoSource:       0
 
@@ -89,5 +91,5 @@
 Source100:      enigmail-%{CVS}.tgz
 %else
-Source100:      http://www.mozilla-enigmail.org/download/source/enigmail-%{version}%{?prever}.tar.gz
+Source100:      http://www.enigmail.net/download/source/enigmail-%{version}%{?prever}.tar.gz
 %endif
 
@@ -184,6 +186,6 @@
 Summary:    Authentication and encryption extension for Mozilla Thunderbird
 Requires:   %{name}%{?_isa} = %{version}-%{release}
-Requires:   thunderbird%{?_isa} >= %{thunver}
-Conflicts:  thunderbird%{?_isa} >= %{thunmax}
+Requires:   thunderbird%{?_isa} >= %{thun_ver}
+Conflicts:  thunderbird%{?_isa} >= %{thun_max}
 
 %description -n thunderbird-enigmail
@@ -196,6 +198,6 @@
 Summary:    Authentication and encryption extension for SeaMonkey
 Requires:   %{name}%{?_isa} = %{version}-%{release}
-Requires:   seamonkey%{?_isa} >= %{seamver}
-Conflicts:  seamonkey%{?_isa} >= %{seammax}
+Requires:   seamonkey%{?_isa} >= %{seam_ver}
+Conflicts:  seamonkey%{?_isa} >= %{seam_max}
 
 %description -n seamonkey-enigmail
@@ -368,16 +370,17 @@
 
 # mozilla-enigmail
-mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
-unzip -q objdir/mozilla/dist/bin/enigmail-*-linux-*.xpi -d $RPM_BUILD_ROOT%{_libdir}/%{name}
+mkdir -p %{buildroot}%{_libdir}/%{name}
+unzip -q objdir/mozilla/dist/bin/enigmail-*-linux-*.xpi \
+      -d %{buildroot}%{_libdir}/%{name}
 
 # thunderbird-enigmail
-mkdir -p $RPM_BUILD_ROOT%{mozextdir}/%{thun_guid}
-ln -s %{_libdir}/%{name} \
-      $RPM_BUILD_ROOT%{mozextdir}/%{thun_guid}/%{enig_guid}
+mkdir -p %{buildroot}%{mozextdir}/%{thun_guid}
+cd       %{buildroot}%{mozextdir}/%{thun_guid}
+ln -s    %{_libdir}/%{name} %{enig_guid}
 
 # seamonkey-enigmail
-mkdir -p $RPM_BUILD_ROOT%{mozextdir}/%{seam_guid}
-ln -s %{_libdir}/%{name} \
-      $RPM_BUILD_ROOT%{mozextdir}/%{seam_guid}/%{enig_guid}
+mkdir -p %{buildroot}%{mozextdir}/%{seam_guid}
+cd       %{buildroot}%{mozextdir}/%{seam_guid}
+ln -s    %{_libdir}/%{name} %{enig_guid}
 
 
@@ -410,4 +413,5 @@
 - rename to mozilla-enigmail
 - add thunderbird and enigmail sub package
+- fix project URL
 
 * Tue Oct  9 2012 Remi Collet <remi@fedoraproject.org> 1.4.5-1


Requires
--------
mozilla-enigmail-debuginfo-1.4.5-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

mozilla-enigmail-1.4.5-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gnupg  



Provides
--------
mozilla-enigmail-debuginfo-1.4.5-2.fc19.x86_64.rpm:
    
    mozilla-enigmail-debuginfo = 1.4.5-2.fc19
    mozilla-enigmail-debuginfo(x86-64) = 1.4.5-2.fc19

mozilla-enigmail-1.4.5-2.fc19.x86_64.rpm:
    
    mozilla-enigmail = 1.4.5-2.fc19
    mozilla-enigmail(x86-64) = 1.4.5-2.fc19



Unversioned so-files
--------------------
mozilla-enigmail-1.4.5-2.fc19.x86_64.rpm: /usr/lib64/mozilla-enigmail/platform/Linux_x86_64-gcc3/components/libenigmime-x86_64-gcc3.so
mozilla-enigmail-1.4.5-2.fc19.x86_64.rpm: /usr/lib64/mozilla-enigmail/platform/Linux_x86_64-gcc3/components/libipc-x86_64-gcc3.so

MD5-sum check
-------------
http://www.mozilla-enigmail.org/download/source/enigmail-1.4.5.tar.gz :
  CHECKSUM(SHA256) this package     : fa59491fba21de9414a003933349074a8ec1833a1d64cac9f0a9f7020ed6c020
  CHECKSUM(SHA256) upstream package : fa59491fba21de9414a003933349074a8ec1833a1d64cac9f0a9f7020ed6c020


some issues:
- you should review the spec and change %define to %global
- you should try to document, which files are licensed in which way
- I'd just delete lines 114 - 120 (if-statement doing nothing)
Comment 28 Remi Collet 2012-10-11 04:40:10 EDT
> - you should review the spec and change %define to %global
> - I'd just delete lines 114 - 120 (if-statement doing nothing)


This are juste copy/paste from thunderbird.spec.
So, I don't plan to differ from thunderbird.spec, as I'm used to.

Please feel free to open a bug against thunderbird to have this fixed here
Comment 29 Remi Collet 2012-10-11 05:30:23 EDT
(In reply to comment #27)
> - you should try to document, which files are licensed in which way

Please explain what need to be documented ?

I think I need to change
From MPLv1.1 or GPLv2+
To   MPLv1.1 or GPLv2+ or LGPLv2+

All files have the 3 licences (exactly like thunderbird/firefox/...)

/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1

I probably I should ask (again, as already requested) upstream to include a LICENSE file.
Comment 30 Remi Collet 2012-10-11 05:43:00 EDT
Hum.. I remember why upstream doesn't provides a LICENSE (as other mozilla app)

Information is displayed on the "About" page.
Comment 31 Matthias Runge 2012-10-11 05:53:52 EDT
(In reply to comment #29)
> (In reply to comment #27)
> > - you should try to document, which files are licensed in which way
> 
> Please explain what need to be documented ?
> 
Ideally, you'd list the files belonging to which license.

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios:

In addition, the package must contain a comment explaining the multiple licensing breakdown. The actual implementation of this is left to the maintainer

> I think I need to change
> From MPLv1.1 or GPLv2+
> To   MPLv1.1 or GPLv2+ or LGPLv2+
yes.
> 
> All files have the 3 licences (exactly like thunderbird/firefox/...)
> 
> /* ***** BEGIN LICENSE BLOCK *****
>  * Version: MPL 1.1/GPL 2.0/LGPL 2.1
>
Comment 32 Remi Collet 2012-10-11 07:14:04 EDT
Spec Changes: https://github.com/remicollet/remirepo/commit/ed320cdb26aa47079473c7a81ca92f55f287742e

Full Spec: https://raw.github.com/remicollet/remirepo/master/mozilla-enigmail/mozilla-enigmail.spec

I also drop the lcms stuff, as Thunderbird uses the bundled copy
(yes, I know, this is against Fedora Guidelines)

As only the spec have change, I haven't upload the new SRPM
(can do if really required, but will be very long...)
Comment 33 Dmitry Butskoy 2012-10-11 11:30:33 EDT
Some notes about EL6:

1) You use "nspr >= 4.9.2" requirement, whereas the current thunderbird-16.0.1 requires "nspr >= 4.9" only. Is it intended to be? I have not found any mentions of nspr >= 4.9.2 in enigmail source tarball.

The current RHEL6 has nspr version of 4.9.1, and nss version of 3.13.5 . Hence, if you relax the "nspr >= ..." requirement, you can change the minimum RHEL version for "system_nss" from 7 to 6, ie.
> %if 0%{?fedora} < 16 && 0%{?rhel} < 6

2) Since RHEL6 has the ESR thunderbird version of 10.0.x only, the latest enigmail can be built with Seamonkey only. Hence it might be useful to drop "thunderbird-enigmail" subpackage for epel branches. (Certainly, build still with the latest upstream thunderbird source, because it is less than seamonkey's one anyway).
Comment 34 Remi Collet 2012-10-11 11:37:52 EDT
(In reply to comment #33)
> 1) You use "nspr >= 4.9.2" requirement, whereas the current
> thunderbird-16.0.1 requires "nspr >= 4.9" only. Is it intended to be? I have
> not found any mentions of nspr >= 4.9.2 in enigmail source tarball.

This (another) thunderbird packaging mistake.
Thunderbird really need nspr 4.9.2 (checked from thunderbird sources)

I have discover this when backporting Firefox / Thunderbird / Enigmail for EL-6.

> 2) Since RHEL6 has the ESR thunderbird version of 10.0.x only, the latest
> enigmail can be built with Seamonkey only. Hence it might be useful to drop
> "thunderbird-enigmail" subpackage for epel branches. (Certainly, build still
> with the latest upstream thunderbird source, because it is less than
> seamonkey's one anyway).

I don't plan to maintain this in EPEL-6 for now. So the review only apply to Fedora.
Comment 35 Remi Collet 2012-10-12 01:46:59 EDT
@Matthias: please differ this review.

I'm searching for upstream information, but it seems Thunderbird 17 will switch to Gecko ESR tree. As I don't know what is the plan for Seamonkey, I think this change will make a "common" package unmaintainable.

So I'm thinking of reverting the rename, and only submit "thunderbird-enigmail"

And it could be easily maintained in EPEL-6 (when Thunderbird 17 ESR will be there, probably with RHEL-6.4)

Will work on this after FUDCon Paris.

@Dmitry: feel free to submit a specific seamonkey-enigmail package, inspired from this spec.
Comment 36 Matthias Runge 2012-10-12 02:35:06 EDT
@Remi: ok, just ping me, when you're done.
Comment 37 Dmitry Butskoy 2012-10-12 07:24:46 EDT
> I'm searching for upstream information, but it seems Thunderbird 17 will switch to Gecko ESR tree. As I don't know what is the plan for Seamonkey

Whether Thunderbird only will switch, or whole Mozilla mail subsystem will switch? What mail system Seamonkey will be based on? What a new mailer Mozilla will provide for further development? Whether such a mailer will be included into Fedora etc.?
Comment 38 Russell Golden 2012-10-12 10:13:05 EDT
(In reply to comment #35)
>I'm searching for upstream information, but it seems Thunderbird 17
> will switch to Gecko ESR tree. As I don't know what is the plan for
> Seamonkey, I think this change will make a "common" package unmaintainable.

(In reply to comment #37)
> Whether Thunderbird only will switch, or whole Mozilla mail subsystem will
> switch? What mail system Seamonkey will be based on? What a new mailer
> Mozilla will provide for further development? Whether such a mailer will be
> included into Fedora etc.?

SeaMonkey does not have the manpower to both maintain an ESR/LTS version *and* keep up with the non-ESR Firefox/Thunderbird releases. I've asked them about this before, and asked again just now. There will not be an ESR SeaMonkey. As soon as SeaMonkey 2.15 is released (equivalent to Firefox/Thunderbird 18), SeaMonkey 2.14 will go EOL.

It isn't that they don't want to. They'd love to. They just lack the resources. Now, if someone wants to volunteer to maintain an ESR SeaMonkey branch... :P
Comment 39 Remi Collet 2012-10-16 10:43:25 EDT
@Matthias: should be ok now.

Switch back to thunderbird-enigmail.

New spec: https://raw.github.com/remicollet/remirepo/master/thunderbird-enigmail/thunderbird-enigmail.spec
New SRPM: http://rpms.famillecollet.com/SRPMS/thunderbird-enigmail-1.4.5-2.remi.src.rpm
Comment 40 Matthias Runge 2012-10-17 07:51:47 EDT
finally:

Package approved.
Comment 41 Remi Collet 2012-10-17 07:57:25 EDT
Great thanks for the review !

New Package SCM Request
=======================
Package Name: thunderbird-enigmail
Short Description: Authentication and encryption extension Mozilla Thunderbird
Owners: remi
Branches: f17 f18
InitialCC:
Comment 42 Gwyn Ciesla 2012-10-17 08:10:49 EDT
Git done (by process-git-requests).
Comment 43 Fedora Update System 2012-10-18 02:31:08 EDT
thunderbird-enigmail-1.4.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/thunderbird-enigmail-1.4.5-2.fc18
Comment 44 Fedora Update System 2012-10-18 02:32:06 EDT
thunderbird-enigmail-1.4.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/thunderbird-enigmail-1.4.5-2.fc17
Comment 45 Fedora Update System 2012-10-18 11:33:21 EDT
thunderbird-enigmail-1.4.5-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 46 Remi Collet 2012-11-20 12:45:15 EST
Package Change Request
======================
Package Name: thunderbird-enigmail
New Branches: f16
Owners: remi
InitialCC: 


It seems F16 will live more than expected ;)
Comment 47 Gwyn Ciesla 2012-11-20 12:48:22 EST
Git done (by process-git-requests).
Comment 48 Fedora Update System 2012-12-30 13:50:08 EST
thunderbird-enigmail-1.5.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/thunderbird-enigmail-1.5.0-1.fc18

Note You need to log in before you can comment on or make changes to this bug.